bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#4134: [Fwd: [Bug 593249] emacs and acroread don't work properly afte


From: David Ronis
Subject: bug#4134: [Fwd: [Bug 593249] emacs and acroread don't work properly after upgrading to 2.17.9]
Date: Thu, 27 Aug 2009 11:58:02 -0400

Turns out the problem is in gtk+.  I've filed a bug report and this is
the last (relevant) comment on the bug.

David

--- Begin Message --- Subject: [Bug 593249] emacs and acroread don't work properly after upgrading to 2.17.9 Date: Thu, 27 Aug 2009 11:34:17 +0000 (UTC)
http://bugzilla.gnome.org/show_bug.cgi?id=593249



--- Comment #3 from Alexander Larsson <address@hidden> 2009-08-27 11:34:14 UTC 
---
For the emacs thing, I can reproduce this here, but emacs does some pretty
weird things in its Gtk+ integration that can conflict quite a lot with the new
client-side window stuff in the later Gtk+.

Running with GDK_NATIVE_WINDOWS=1 in gtk+ >= 2.17.9 fixes this issue, although
setting that in emacs may not be a good idea as it will propagate to apps
launched by emacs. Instead I would recommend adding some code to emacs that
calls gdk_x11_drawable_get_xid() on all "toplevel" Gtk+ widgets they put in the
buffer window. This will ensure these windows get their own X window and should
be totally backwards compat and safe on older versions of Gtk+.

-- 
Configure bugmail: http://bugzilla.gnome.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You reported the bug.


--- End Message ---

reply via email to

[Prev in Thread] Current Thread [Next in Thread]